Get a workspace Scout
curl --request GET \
--url https://api-prod.heliyos.ai/v1/platform/global-scouts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.heliyos.ai/v1/platform/global-scouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-prod.heliyos.ai/v1/platform/global-scouts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"meta": {
"message": "Global scout retrieved successfully"
},
"data": {
"_id": "6731c0a2b4e5f60718293a4b",
"organizationId": "66a0f1e2d3c4b5a697887766",
"name": "Hiring for data roles",
"type": "custom",
"applyTo": "watchlist",
"selectedCompanyIds": [],
"category": "Hiring",
"queryTemplate": "New job postings at the company for data engineering or analytics roles.",
"cadence": "weekly",
"effort": "medium",
"isActive": false,
"previewStatus": "completed",
"previewRunId": "trun_4b8e2f1a9c7d",
"previewData": {
"signals": [
{
"company_name": "Contoso",
"website": "https://contoso.example.com",
"summary": "Contoso opened two analytics engineer roles.",
"sources": [
"https://contoso.example.com/careers/analytics-engineer"
]
}
],
"total_count": 1,
"query_summary": "Data and analytics job postings in the last month."
},
"metadata": {
"created": {
"at": "2026-11-04T09:30:00.000Z",
"by": "system"
},
"updated": {
"at": "2026-11-04T09:32:00.000Z",
"by": "system"
}
},
"signal_counts": {
"total": 0,
"new": 0
},
"latest_signal": null,
"active_company_count": 0
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}Scouts
Get a workspace Scout
Returns one workspace Scout with its signal totals, its latest signal and how many companies it is
running on. For a custom Scout you just created, poll this until previewStatus is completed,
then confirm it with Set a workspace Scout’s state (POST /v1/platform/global-scouts/{id}/state).
GET
/
v1
/
platform
/
global-scouts
/
{id}
Get a workspace Scout
curl --request GET \
--url https://api-prod.heliyos.ai/v1/platform/global-scouts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.heliyos.ai/v1/platform/global-scouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-prod.heliyos.ai/v1/platform/global-scouts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"meta": {
"message": "Global scout retrieved successfully"
},
"data": {
"_id": "6731c0a2b4e5f60718293a4b",
"organizationId": "66a0f1e2d3c4b5a697887766",
"name": "Hiring for data roles",
"type": "custom",
"applyTo": "watchlist",
"selectedCompanyIds": [],
"category": "Hiring",
"queryTemplate": "New job postings at the company for data engineering or analytics roles.",
"cadence": "weekly",
"effort": "medium",
"isActive": false,
"previewStatus": "completed",
"previewRunId": "trun_4b8e2f1a9c7d",
"previewData": {
"signals": [
{
"company_name": "Contoso",
"website": "https://contoso.example.com",
"summary": "Contoso opened two analytics engineer roles.",
"sources": [
"https://contoso.example.com/careers/analytics-engineer"
]
}
],
"total_count": 1,
"query_summary": "Data and analytics job postings in the last month."
},
"metadata": {
"created": {
"at": "2026-11-04T09:30:00.000Z",
"by": "system"
},
"updated": {
"at": "2026-11-04T09:32:00.000Z",
"by": "system"
}
},
"signal_counts": {
"total": 0,
"new": 0
},
"latest_signal": null,
"active_company_count": 0
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}{
"message": "<string>",
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": "<unknown>"
}
}In the Heliyos MCP server:
heliyos_scouts_get.Authorizations
A workspace API key, sent as Authorization: Bearer heliyos_.... Create one in Heliyos under Settings → API keys. A key acts as a workspace admin in the one workspace it was created in.
Path Parameters
The workspace Scout's id.
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?

